All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.util
Class DynamicBeanInfo

    com.sas.util.DynamicBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

    public class DynamicBeanInfo

BeanInfo for the DynamicPropertyBag object. This BeanInfo is dynamic, depending upon the properties set in the customizer for the property bag.

Constructor Summary
`DynamicBeanInfo()`

Method Summary
`java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()` Get the list of property descriptors
`java.lang.String` | `getStringDummy()` Dummy getter routine.
`void` | `setProperties(java.lang.String[] list)` Sets the property list.

Constructor Detail

### DynamicBeanInfo

    public DynamicBeanInfo()

Method Detail

### setProperties

    public void setProperties(java.lang.String[] list)

  Sets the property list. This list will be used to create the PropertyDescriptors for the component

  Parameters:
    `list` - String array of component names

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

  Get the list of property descriptors

  Specified by:
    `getPropertyDescriptors` in interface `java.beans.BeanInfo`
  Overrides:
    `getPropertyDescriptors` in class `java.beans.SimpleBeanInfo`

### getStringDummy

    public java.lang.String getStringDummy()

  Dummy getter routine. When creating a new PropertyDescriptor, the named getter method must exist in some class. We'll give it this class and the name of this getter. It will never be used.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.